StringStartsWith (Hamcrest 2.2 API)
Date: 2019-10-17

org.hamcrest.core

## Class StringStartsWith

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<java.lang.String>
    - - org.hamcrest.core.SubstringMatcher
      - - org.hamcrest.core.StringStartsWith

- All Implemented Interfaces:
    Matcher<java.lang.String>, SelfDescribing

      public class StringStartsWith
      extends SubstringMatcher

  Tests if the argument is a string that starts with a specific substring.

- - ### Field Summary

    - ### Fields inherited from class org.hamcrest.core.SubstringMatcher

      `substring`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringStartsWith(boolean ignoringCase, java.lang.String substring)`
    `StringStartsWith(java.lang.String substring)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `evalSubstringOf(java.lang.String s)`
    `static Matcher<java.lang.String>` | `startsWith(java.lang.String prefix)` Creates a matcher that matches if the examined `String` starts with the specified `String`.
    `static Matcher<java.lang.String>` | `startsWithIgnoringCase(java.lang.String prefix)` Creates a matcher that matches if the examined `String` starts with the specified `String`, ignoring case

    - ### Methods inherited from class org.hamcrest.core.SubstringMatcher

      `converted, describeMismatchSafely, describeTo, matchesSafely`

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringStartsWith

          public StringStartsWith(java.lang.String substring)

    - #### StringStartsWith

          public StringStartsWith(boolean ignoringCase,
                                  java.lang.String substring)

  - ### Method Detail

    - #### evalSubstringOf

          protected boolean evalSubstringOf(java.lang.String s)

      Specified by:
        `evalSubstringOf` in class `SubstringMatcher`

    - #### startsWith

          public static Matcher<java.lang.String> startsWith(java.lang.String prefix)

      Creates a matcher that matches if the examined `String` starts with the specified `String`.

      For example:

          assertThat("myStringOfNote", startsWith("my"))

      Parameters:
        `prefix` - the substring that the returned matcher will expect at the start of any examined string

    - #### startsWithIgnoringCase

          public static Matcher<java.lang.String> startsWithIgnoringCase(java.lang.String prefix)

      Creates a matcher that matches if the examined `String` starts with the specified `String`, ignoring case

      For example:

          assertThat("myStringOfNote", startsWithIgnoringCase("My"))

      Parameters:
        `prefix` - the substring that the returned matcher will expect at the start of any examined string